////////////////////////////////////////////////////////////////
/// List
////////////////////////////////////////////////////////////////

.mdl-list__item-avatar {
    width: 40px;
    height: auto;
    border-radius: 2%;
    transition: all 0.4s cubic-bezier(.25,.8,.25,1);
}

.mdl-list__item-secondary-action {
    color: rgba(0, 0, 0, .54)
}

.mdl-list__item {
    padding: 8px 16px;
    transition: all 0.4s cubic-bezier(.25,.8,.25,1);
    &.active {
            box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
            height: auto;
            background-color: #fff;
            align-items: flex-start;
            margin: 1em 0;
            border: 1px solid #eee;
            padding: 22px 16px;
            &:hover {
                background-color: #fff;
            }
            .movie-title-small {
                font-size: 18px;
                font-weight: 500;
            }
            img {
                width: 33%;
            }
            .item-content-container {
                align-items: flex-start;
            }
            .movie-summary {
                animation-duration: 0.6s;
                animation-name: fadein;
            }
    }
}

.mdl-list__item-primary-content {
    color: rgba(0, 0, 0, .87);
    letter-spacing: 0;
    font-weight: bold;
    span {
        max-width: 13em;
        line-height: 1.1;
    }
}

.mdl-list__item {
    flex-direction: column;
}

.list-container {
    box-sizing: border-box;
    min-height: 500px;
    overflow-y: auto;
    h6 {
        font-size: 13px;
        color: rgba(0, 0, 0, .53);
        background-color: $white;;
        margin: 0;
        font-weight: 500;
    } 
}

.list-header {
    padding: 26px 16px 12px 16px;
}

.header-recent-movies {
    padding: 6px 16px 12px 16px;
}


.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}

.movie-year, .movie-rating  {
    font-size: 14px;
    display: block;
    font-weight: 500;
    color: rgba(0, 0, 0, .6);
    padding-top: .5em;
}

.item-content-container {
    display: flex;
    align-items: center;
    width: 100%;
}

.movie-summary {
    font-size: 14px;
    line-height: 1em;
    padding: 1em 0;
    p {
        margin: 0;
    }
}

@keyframes fadein {
  from {
    opacity: 0; 
  }

  to {
    opacity: 1; 
  }
}

.mdl-chip {
    margin: 2.5px 2.5px;
}

a.mdl-chip {
    font-weight: normal;
}

.mdl-button-accent {
    color: $accent;
}

.play-trailer-button {
    padding-left: 0;
    margin-top: 1em;
}